Quest List
Fetches a list of available quests. Includes basic information.
Query Parameters
- Type: stringSkip
Pattern: ^-?(?:0|[1-9]\d*)$Format: int32Number of items to skip before retrieving results. Used with parameter 'Take' for pagination.
Minimum value: 0 - Type: stringTake
Pattern: ^-?(?:0|[1-9]\d*)$Format: int32Number of items to retrieve after skipping. Used with parameter 'Skip' for pagination.
Minimum value: 0
Maximum value: 1000
Responses
- application/json
- application/problem+json
- application/problem+json
- 414
URI Too Long
- application/problem+json
- 431
Request Header Fields Too Large
- application/problem+json
Request Example for get/v1/quests
curl 'https://api.questback.com/v1/quests?Skip=&Take='
[
{
"questId": "01952000-222c-761a-8f5b-87a44ca2d73f",
"title": "My awesome quest",
"startAt": "2025-10-23T11:03:58.4994058Z",
"endAt": "2026-03-23T11:03:58.4994358Z",
"published": true,
"status": "CLOSED"
}
]